package com.hfkj.dao;

import com.hfkj.entity.BsStore;
import com.hfkj.entity.BsStoreExample.Criteria;
import com.hfkj.entity.BsStoreExample.Criterion;
import com.hfkj.entity.BsStoreExample;
import java.util.List;
import java.util.Map;
import org.apache.ibatis.jdbc.SQL;

public class BsStoreSqlProvider {

    public String countByExample(BsStoreExample example) {
        SQL sql = new SQL();
        sql.SELECT("count(*)").FROM("bs_store");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String deleteByExample(BsStoreExample example) {
        SQL sql = new SQL();
        sql.DELETE_FROM("bs_store");
        applyWhere(sql, example, false);
        return sql.toString();
    }

    public String insertSelective(BsStore record) {
        SQL sql = new SQL();
        sql.INSERT_INTO("bs_store");
        
        if (record.getCompanyId() != null) {
            sql.VALUES("company_id", "#{companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.VALUES("company_name", "#{companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getAgentId() != null) {
            sql.VALUES("agent_id", "#{agentId,jdbcType=BIGINT}");
        }
        
        if (record.getAgentName() != null) {
            sql.VALUES("agent_name", "#{agentName,jdbcType=VARCHAR}");
        }
        
        if (record.getSalesmanId() != null) {
            sql.VALUES("salesman_id", "#{salesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getSalesmanName() != null) {
            sql.VALUES("salesman_name", "#{salesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerId() != null) {
            sql.VALUES("mer_id", "#{merId,jdbcType=BIGINT}");
        }
        
        if (record.getMerName() != null) {
            sql.VALUES("mer_name", "#{merName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreNo() != null) {
            sql.VALUES("store_no", "#{storeNo,jdbcType=BIGINT}");
        }
        
        if (record.getName() != null) {
            sql.VALUES("`name`", "#{name,jdbcType=VARCHAR}");
        }
        
        if (record.getTelephone() != null) {
            sql.VALUES("telephone", "#{telephone,jdbcType=VARCHAR}");
        }
        
        if (record.getDoorHeadImg() != null) {
            sql.VALUES("door_head_img", "#{doorHeadImg,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeopleName() != null) {
            sql.VALUES("duty_people_name", "#{dutyPeopleName,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeoplePhone() != null) {
            sql.VALUES("duty_people_phone", "#{dutyPeoplePhone,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeopleEmail() != null) {
            sql.VALUES("duty_people_email", "#{dutyPeopleEmail,jdbcType=VARCHAR}");
        }
        
        if (record.getCashRegisterImg() != null) {
            sql.VALUES("cash_register_img", "#{cashRegisterImg,jdbcType=VARCHAR}");
        }
        
        if (record.getInternalImg() != null) {
            sql.VALUES("internal_img", "#{internalImg,jdbcType=VARCHAR}");
        }
        
        if (record.getBusinessLicenseImg() != null) {
            sql.VALUES("business_license_img", "#{businessLicenseImg,jdbcType=VARCHAR}");
        }
        
        if (record.getOtherImg() != null) {
            sql.VALUES("other_img", "#{otherImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLongitude() != null) {
            sql.VALUES("longitude", "#{longitude,jdbcType=VARCHAR}");
        }
        
        if (record.getLatitude() != null) {
            sql.VALUES("latitude", "#{latitude,jdbcType=VARCHAR}");
        }
        
        if (record.getAddress() != null) {
            sql.VALUES("address", "#{address,jdbcType=VARCHAR}");
        }
        
        if (record.getAloneSettle() != null) {
            sql.VALUES("alone_settle", "#{aloneSettle,jdbcType=BIT}");
        }
        
        if (record.getStoreType() != null) {
            sql.VALUES("store_type", "#{storeType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisUrl() != null) {
            sql.VALUES("blis_url", "#{blisUrl,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisName() != null) {
            sql.VALUES("blis_name", "#{blisName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisNo() != null) {
            sql.VALUES("blis_no", "#{blisNo,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisRegAddress() != null) {
            sql.VALUES("blis_reg_address", "#{blisRegAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodType() != null) {
            sql.VALUES("blis_period_type", "#{blisPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisPeriodStart() != null) {
            sql.VALUES("blis_period_start", "#{blisPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodEnd() != null) {
            sql.VALUES("blis_period_end", "#{blisPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCard() != null) {
            sql.VALUES("lar_id_card", "#{larIdCard,jdbcType=VARCHAR}");
        }
        
        if (record.getLarName() != null) {
            sql.VALUES("lar_name", "#{larName,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPortraitImg() != null) {
            sql.VALUES("lar_id_card_portrait_img", "#{larIdCardPortraitImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardNationalEmblemImg() != null) {
            sql.VALUES("lar_id_card_national_emblem_img", "#{larIdCardNationalEmblemImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardAddress() != null) {
            sql.VALUES("lar_id_card_address", "#{larIdCardAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodType() != null) {
            sql.VALUES("lar_id_card_period_type", "#{larIdCardPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getLarIdCardPeriodStart() != null) {
            sql.VALUES("lar_id_card_period_start", "#{larIdCardPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodEnd() != null) {
            sql.VALUES("lar_id_card_period_end", "#{larIdCardPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getStatus() != null) {
            sql.VALUES("`status`", "#{status,jdbcType=INTEGER}");
        }
        
        if (record.getCreateSalesmanId() != null) {
            sql.VALUES("create_salesman_id", "#{createSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getCreateSalesmanName() != null) {
            sql.VALUES("create_salesman_name", "#{createSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getCreateType() != null) {
            sql.VALUES("create_type", "#{createType,jdbcType=INTEGER}");
        }
        
        if (record.getCreateTime() != null) {
            sql.VALUES("create_time", "#{createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getUpdateTime() != null) {
            sql.VALUES("update_time", "#{updateTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getExt1() != null) {
            sql.VALUES("ext_1", "#{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.VALUES("ext_2", "#{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.VALUES("ext_3", "#{ext3,jdbcType=VARCHAR}");
        }
        
        return sql.toString();
    }

    public String selectByExample(BsStoreExample example) {
        SQL sql = new SQL();
        if (example != null && example.isDistinct()) {
            sql.SELECT_DISTINCT("id");
        } else {
            sql.SELECT("id");
        }
        sql.SELECT("company_id");
        sql.SELECT("company_name");
        sql.SELECT("agent_id");
        sql.SELECT("agent_name");
        sql.SELECT("salesman_id");
        sql.SELECT("salesman_name");
        sql.SELECT("mer_id");
        sql.SELECT("mer_name");
        sql.SELECT("store_no");
        sql.SELECT("`name`");
        sql.SELECT("telephone");
        sql.SELECT("door_head_img");
        sql.SELECT("duty_people_name");
        sql.SELECT("duty_people_phone");
        sql.SELECT("duty_people_email");
        sql.SELECT("cash_register_img");
        sql.SELECT("internal_img");
        sql.SELECT("business_license_img");
        sql.SELECT("other_img");
        sql.SELECT("longitude");
        sql.SELECT("latitude");
        sql.SELECT("address");
        sql.SELECT("alone_settle");
        sql.SELECT("store_type");
        sql.SELECT("blis_url");
        sql.SELECT("blis_name");
        sql.SELECT("blis_no");
        sql.SELECT("blis_reg_address");
        sql.SELECT("blis_period_type");
        sql.SELECT("blis_period_start");
        sql.SELECT("blis_period_end");
        sql.SELECT("lar_id_card");
        sql.SELECT("lar_name");
        sql.SELECT("lar_id_card_portrait_img");
        sql.SELECT("lar_id_card_national_emblem_img");
        sql.SELECT("lar_id_card_address");
        sql.SELECT("lar_id_card_period_type");
        sql.SELECT("lar_id_card_period_start");
        sql.SELECT("lar_id_card_period_end");
        sql.SELECT("`status`");
        sql.SELECT("create_salesman_id");
        sql.SELECT("create_salesman_name");
        sql.SELECT("create_type");
        sql.SELECT("create_time");
        sql.SELECT("update_time");
        sql.SELECT("ext_1");
        sql.SELECT("ext_2");
        sql.SELECT("ext_3");
        sql.FROM("bs_store");
        applyWhere(sql, example, false);
        
        if (example != null && example.getOrderByClause() != null) {
            sql.ORDER_BY(example.getOrderByClause());
        }
        
        return sql.toString();
    }

    public String updateByExampleSelective(Map<String, Object> parameter) {
        BsStore record = (BsStore) parameter.get("record");
        BsStoreExample example = (BsStoreExample) parameter.get("example");
        
        SQL sql = new SQL();
        sql.UPDATE("bs_store");
        
        if (record.getId() != null) {
            sql.SET("id = #{record.id,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyId() != null) {
            sql.SET("company_id = #{record.companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.SET("company_name = #{record.companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getAgentId() != null) {
            sql.SET("agent_id = #{record.agentId,jdbcType=BIGINT}");
        }
        
        if (record.getAgentName() != null) {
            sql.SET("agent_name = #{record.agentName,jdbcType=VARCHAR}");
        }
        
        if (record.getSalesmanId() != null) {
            sql.SET("salesman_id = #{record.salesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getSalesmanName() != null) {
            sql.SET("salesman_name = #{record.salesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerId() != null) {
            sql.SET("mer_id = #{record.merId,jdbcType=BIGINT}");
        }
        
        if (record.getMerName() != null) {
            sql.SET("mer_name = #{record.merName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreNo() != null) {
            sql.SET("store_no = #{record.storeNo,jdbcType=BIGINT}");
        }
        
        if (record.getName() != null) {
            sql.SET("`name` = #{record.name,jdbcType=VARCHAR}");
        }
        
        if (record.getTelephone() != null) {
            sql.SET("telephone = #{record.telephone,jdbcType=VARCHAR}");
        }
        
        if (record.getDoorHeadImg() != null) {
            sql.SET("door_head_img = #{record.doorHeadImg,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeopleName() != null) {
            sql.SET("duty_people_name = #{record.dutyPeopleName,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeoplePhone() != null) {
            sql.SET("duty_people_phone = #{record.dutyPeoplePhone,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeopleEmail() != null) {
            sql.SET("duty_people_email = #{record.dutyPeopleEmail,jdbcType=VARCHAR}");
        }
        
        if (record.getCashRegisterImg() != null) {
            sql.SET("cash_register_img = #{record.cashRegisterImg,jdbcType=VARCHAR}");
        }
        
        if (record.getInternalImg() != null) {
            sql.SET("internal_img = #{record.internalImg,jdbcType=VARCHAR}");
        }
        
        if (record.getBusinessLicenseImg() != null) {
            sql.SET("business_license_img = #{record.businessLicenseImg,jdbcType=VARCHAR}");
        }
        
        if (record.getOtherImg() != null) {
            sql.SET("other_img = #{record.otherImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLongitude() != null) {
            sql.SET("longitude = #{record.longitude,jdbcType=VARCHAR}");
        }
        
        if (record.getLatitude() != null) {
            sql.SET("latitude = #{record.latitude,jdbcType=VARCHAR}");
        }
        
        if (record.getAddress() != null) {
            sql.SET("address = #{record.address,jdbcType=VARCHAR}");
        }
        
        if (record.getAloneSettle() != null) {
            sql.SET("alone_settle = #{record.aloneSettle,jdbcType=BIT}");
        }
        
        if (record.getStoreType() != null) {
            sql.SET("store_type = #{record.storeType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisUrl() != null) {
            sql.SET("blis_url = #{record.blisUrl,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisName() != null) {
            sql.SET("blis_name = #{record.blisName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisNo() != null) {
            sql.SET("blis_no = #{record.blisNo,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisRegAddress() != null) {
            sql.SET("blis_reg_address = #{record.blisRegAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodType() != null) {
            sql.SET("blis_period_type = #{record.blisPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisPeriodStart() != null) {
            sql.SET("blis_period_start = #{record.blisPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodEnd() != null) {
            sql.SET("blis_period_end = #{record.blisPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCard() != null) {
            sql.SET("lar_id_card = #{record.larIdCard,jdbcType=VARCHAR}");
        }
        
        if (record.getLarName() != null) {
            sql.SET("lar_name = #{record.larName,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPortraitImg() != null) {
            sql.SET("lar_id_card_portrait_img = #{record.larIdCardPortraitImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardNationalEmblemImg() != null) {
            sql.SET("lar_id_card_national_emblem_img = #{record.larIdCardNationalEmblemImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardAddress() != null) {
            sql.SET("lar_id_card_address = #{record.larIdCardAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodType() != null) {
            sql.SET("lar_id_card_period_type = #{record.larIdCardPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getLarIdCardPeriodStart() != null) {
            sql.SET("lar_id_card_period_start = #{record.larIdCardPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodEnd() != null) {
            sql.SET("lar_id_card_period_end = #{record.larIdCardPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getStatus() != null) {
            sql.SET("`status` = #{record.status,jdbcType=INTEGER}");
        }
        
        if (record.getCreateSalesmanId() != null) {
            sql.SET("create_salesman_id = #{record.createSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getCreateSalesmanName() != null) {
            sql.SET("create_salesman_name = #{record.createSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getCreateType() != null) {
            sql.SET("create_type = #{record.createType,jdbcType=INTEGER}");
        }
        
        if (record.getCreateTime() != null) {
            sql.SET("create_time = #{record.createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getUpdateTime() != null) {
            sql.SET("update_time = #{record.updateTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        }
        
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByExample(Map<String, Object> parameter) {
        SQL sql = new SQL();
        sql.UPDATE("bs_store");
        
        sql.SET("id = #{record.id,jdbcType=BIGINT}");
        sql.SET("company_id = #{record.companyId,jdbcType=BIGINT}");
        sql.SET("company_name = #{record.companyName,jdbcType=VARCHAR}");
        sql.SET("agent_id = #{record.agentId,jdbcType=BIGINT}");
        sql.SET("agent_name = #{record.agentName,jdbcType=VARCHAR}");
        sql.SET("salesman_id = #{record.salesmanId,jdbcType=BIGINT}");
        sql.SET("salesman_name = #{record.salesmanName,jdbcType=VARCHAR}");
        sql.SET("mer_id = #{record.merId,jdbcType=BIGINT}");
        sql.SET("mer_name = #{record.merName,jdbcType=VARCHAR}");
        sql.SET("store_no = #{record.storeNo,jdbcType=BIGINT}");
        sql.SET("`name` = #{record.name,jdbcType=VARCHAR}");
        sql.SET("telephone = #{record.telephone,jdbcType=VARCHAR}");
        sql.SET("door_head_img = #{record.doorHeadImg,jdbcType=VARCHAR}");
        sql.SET("duty_people_name = #{record.dutyPeopleName,jdbcType=VARCHAR}");
        sql.SET("duty_people_phone = #{record.dutyPeoplePhone,jdbcType=VARCHAR}");
        sql.SET("duty_people_email = #{record.dutyPeopleEmail,jdbcType=VARCHAR}");
        sql.SET("cash_register_img = #{record.cashRegisterImg,jdbcType=VARCHAR}");
        sql.SET("internal_img = #{record.internalImg,jdbcType=VARCHAR}");
        sql.SET("business_license_img = #{record.businessLicenseImg,jdbcType=VARCHAR}");
        sql.SET("other_img = #{record.otherImg,jdbcType=VARCHAR}");
        sql.SET("longitude = #{record.longitude,jdbcType=VARCHAR}");
        sql.SET("latitude = #{record.latitude,jdbcType=VARCHAR}");
        sql.SET("address = #{record.address,jdbcType=VARCHAR}");
        sql.SET("alone_settle = #{record.aloneSettle,jdbcType=BIT}");
        sql.SET("store_type = #{record.storeType,jdbcType=INTEGER}");
        sql.SET("blis_url = #{record.blisUrl,jdbcType=VARCHAR}");
        sql.SET("blis_name = #{record.blisName,jdbcType=VARCHAR}");
        sql.SET("blis_no = #{record.blisNo,jdbcType=VARCHAR}");
        sql.SET("blis_reg_address = #{record.blisRegAddress,jdbcType=VARCHAR}");
        sql.SET("blis_period_type = #{record.blisPeriodType,jdbcType=INTEGER}");
        sql.SET("blis_period_start = #{record.blisPeriodStart,jdbcType=VARCHAR}");
        sql.SET("blis_period_end = #{record.blisPeriodEnd,jdbcType=VARCHAR}");
        sql.SET("lar_id_card = #{record.larIdCard,jdbcType=VARCHAR}");
        sql.SET("lar_name = #{record.larName,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_portrait_img = #{record.larIdCardPortraitImg,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_national_emblem_img = #{record.larIdCardNationalEmblemImg,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_address = #{record.larIdCardAddress,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_period_type = #{record.larIdCardPeriodType,jdbcType=INTEGER}");
        sql.SET("lar_id_card_period_start = #{record.larIdCardPeriodStart,jdbcType=VARCHAR}");
        sql.SET("lar_id_card_period_end = #{record.larIdCardPeriodEnd,jdbcType=VARCHAR}");
        sql.SET("`status` = #{record.status,jdbcType=INTEGER}");
        sql.SET("create_salesman_id = #{record.createSalesmanId,jdbcType=BIGINT}");
        sql.SET("create_salesman_name = #{record.createSalesmanName,jdbcType=VARCHAR}");
        sql.SET("create_type = #{record.createType,jdbcType=INTEGER}");
        sql.SET("create_time = #{record.createTime,jdbcType=TIMESTAMP}");
        sql.SET("update_time = #{record.updateTime,jdbcType=TIMESTAMP}");
        sql.SET("ext_1 = #{record.ext1,jdbcType=VARCHAR}");
        sql.SET("ext_2 = #{record.ext2,jdbcType=VARCHAR}");
        sql.SET("ext_3 = #{record.ext3,jdbcType=VARCHAR}");
        
        BsStoreExample example = (BsStoreExample) parameter.get("example");
        applyWhere(sql, example, true);
        return sql.toString();
    }

    public String updateByPrimaryKeySelective(BsStore record) {
        SQL sql = new SQL();
        sql.UPDATE("bs_store");
        
        if (record.getCompanyId() != null) {
            sql.SET("company_id = #{companyId,jdbcType=BIGINT}");
        }
        
        if (record.getCompanyName() != null) {
            sql.SET("company_name = #{companyName,jdbcType=VARCHAR}");
        }
        
        if (record.getAgentId() != null) {
            sql.SET("agent_id = #{agentId,jdbcType=BIGINT}");
        }
        
        if (record.getAgentName() != null) {
            sql.SET("agent_name = #{agentName,jdbcType=VARCHAR}");
        }
        
        if (record.getSalesmanId() != null) {
            sql.SET("salesman_id = #{salesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getSalesmanName() != null) {
            sql.SET("salesman_name = #{salesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getMerId() != null) {
            sql.SET("mer_id = #{merId,jdbcType=BIGINT}");
        }
        
        if (record.getMerName() != null) {
            sql.SET("mer_name = #{merName,jdbcType=VARCHAR}");
        }
        
        if (record.getStoreNo() != null) {
            sql.SET("store_no = #{storeNo,jdbcType=BIGINT}");
        }
        
        if (record.getName() != null) {
            sql.SET("`name` = #{name,jdbcType=VARCHAR}");
        }
        
        if (record.getTelephone() != null) {
            sql.SET("telephone = #{telephone,jdbcType=VARCHAR}");
        }
        
        if (record.getDoorHeadImg() != null) {
            sql.SET("door_head_img = #{doorHeadImg,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeopleName() != null) {
            sql.SET("duty_people_name = #{dutyPeopleName,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeoplePhone() != null) {
            sql.SET("duty_people_phone = #{dutyPeoplePhone,jdbcType=VARCHAR}");
        }
        
        if (record.getDutyPeopleEmail() != null) {
            sql.SET("duty_people_email = #{dutyPeopleEmail,jdbcType=VARCHAR}");
        }
        
        if (record.getCashRegisterImg() != null) {
            sql.SET("cash_register_img = #{cashRegisterImg,jdbcType=VARCHAR}");
        }
        
        if (record.getInternalImg() != null) {
            sql.SET("internal_img = #{internalImg,jdbcType=VARCHAR}");
        }
        
        if (record.getBusinessLicenseImg() != null) {
            sql.SET("business_license_img = #{businessLicenseImg,jdbcType=VARCHAR}");
        }
        
        if (record.getOtherImg() != null) {
            sql.SET("other_img = #{otherImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLongitude() != null) {
            sql.SET("longitude = #{longitude,jdbcType=VARCHAR}");
        }
        
        if (record.getLatitude() != null) {
            sql.SET("latitude = #{latitude,jdbcType=VARCHAR}");
        }
        
        if (record.getAddress() != null) {
            sql.SET("address = #{address,jdbcType=VARCHAR}");
        }
        
        if (record.getAloneSettle() != null) {
            sql.SET("alone_settle = #{aloneSettle,jdbcType=BIT}");
        }
        
        if (record.getStoreType() != null) {
            sql.SET("store_type = #{storeType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisUrl() != null) {
            sql.SET("blis_url = #{blisUrl,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisName() != null) {
            sql.SET("blis_name = #{blisName,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisNo() != null) {
            sql.SET("blis_no = #{blisNo,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisRegAddress() != null) {
            sql.SET("blis_reg_address = #{blisRegAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodType() != null) {
            sql.SET("blis_period_type = #{blisPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getBlisPeriodStart() != null) {
            sql.SET("blis_period_start = #{blisPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getBlisPeriodEnd() != null) {
            sql.SET("blis_period_end = #{blisPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCard() != null) {
            sql.SET("lar_id_card = #{larIdCard,jdbcType=VARCHAR}");
        }
        
        if (record.getLarName() != null) {
            sql.SET("lar_name = #{larName,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPortraitImg() != null) {
            sql.SET("lar_id_card_portrait_img = #{larIdCardPortraitImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardNationalEmblemImg() != null) {
            sql.SET("lar_id_card_national_emblem_img = #{larIdCardNationalEmblemImg,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardAddress() != null) {
            sql.SET("lar_id_card_address = #{larIdCardAddress,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodType() != null) {
            sql.SET("lar_id_card_period_type = #{larIdCardPeriodType,jdbcType=INTEGER}");
        }
        
        if (record.getLarIdCardPeriodStart() != null) {
            sql.SET("lar_id_card_period_start = #{larIdCardPeriodStart,jdbcType=VARCHAR}");
        }
        
        if (record.getLarIdCardPeriodEnd() != null) {
            sql.SET("lar_id_card_period_end = #{larIdCardPeriodEnd,jdbcType=VARCHAR}");
        }
        
        if (record.getStatus() != null) {
            sql.SET("`status` = #{status,jdbcType=INTEGER}");
        }
        
        if (record.getCreateSalesmanId() != null) {
            sql.SET("create_salesman_id = #{createSalesmanId,jdbcType=BIGINT}");
        }
        
        if (record.getCreateSalesmanName() != null) {
            sql.SET("create_salesman_name = #{createSalesmanName,jdbcType=VARCHAR}");
        }
        
        if (record.getCreateType() != null) {
            sql.SET("create_type = #{createType,jdbcType=INTEGER}");
        }
        
        if (record.getCreateTime() != null) {
            sql.SET("create_time = #{createTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getUpdateTime() != null) {
            sql.SET("update_time = #{updateTime,jdbcType=TIMESTAMP}");
        }
        
        if (record.getExt1() != null) {
            sql.SET("ext_1 = #{ext1,jdbcType=VARCHAR}");
        }
        
        if (record.getExt2() != null) {
            sql.SET("ext_2 = #{ext2,jdbcType=VARCHAR}");
        }
        
        if (record.getExt3() != null) {
            sql.SET("ext_3 = #{ext3,jdbcType=VARCHAR}");
        }
        
        sql.WHERE("id = #{id,jdbcType=BIGINT}");
        
        return sql.toString();
    }

    protected void applyWhere(SQL sql, BsStoreExample example, boolean includeExamplePhrase) {
        if (example == null) {
            return;
        }
        
        String parmPhrase1;
        String parmPhrase1_th;
        String parmPhrase2;
        String parmPhrase2_th;
        String parmPhrase3;
        String parmPhrase3_th;
        if (includeExamplePhrase) {
            parmPhrase1 = "%s #{example.oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{example.oredCriteria[%d].allCriteria[%d].value} and #{example.oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{example.oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{example.oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{example.oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{example.oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        } else {
            parmPhrase1 = "%s #{oredCriteria[%d].allCriteria[%d].value}";
            parmPhrase1_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s}";
            parmPhrase2 = "%s #{oredCriteria[%d].allCriteria[%d].value} and #{oredCriteria[%d].criteria[%d].secondValue}";
            parmPhrase2_th = "%s #{oredCriteria[%d].allCriteria[%d].value,typeHandler=%s} and #{oredCriteria[%d].criteria[%d].secondValue,typeHandler=%s}";
            parmPhrase3 = "#{oredCriteria[%d].allCriteria[%d].value[%d]}";
            parmPhrase3_th = "#{oredCriteria[%d].allCriteria[%d].value[%d],typeHandler=%s}";
        }
        
        StringBuilder sb = new StringBuilder();
        List<Criteria> oredCriteria = example.getOredCriteria();
        boolean firstCriteria = true;
        for (int i = 0; i < oredCriteria.size(); i++) {
            Criteria criteria = oredCriteria.get(i);
            if (criteria.isValid()) {
                if (firstCriteria) {
                    firstCriteria = false;
                } else {
                    sb.append(" or ");
                }
                
                sb.append('(');
                List<Criterion> criterions = criteria.getAllCriteria();
                boolean firstCriterion = true;
                for (int j = 0; j < criterions.size(); j++) {
                    Criterion criterion = criterions.get(j);
                    if (firstCriterion) {
                        firstCriterion = false;
                    } else {
                        sb.append(" and ");
                    }
                    
                    if (criterion.isNoValue()) {
                        sb.append(criterion.getCondition());
                    } else if (criterion.isSingleValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase1, criterion.getCondition(), i, j));
                        } else {
                            sb.append(String.format(parmPhrase1_th, criterion.getCondition(), i, j,criterion.getTypeHandler()));
                        }
                    } else if (criterion.isBetweenValue()) {
                        if (criterion.getTypeHandler() == null) {
                            sb.append(String.format(parmPhrase2, criterion.getCondition(), i, j, i, j));
                        } else {
                            sb.append(String.format(parmPhrase2_th, criterion.getCondition(), i, j, criterion.getTypeHandler(), i, j, criterion.getTypeHandler()));
                        }
                    } else if (criterion.isListValue()) {
                        sb.append(criterion.getCondition());
                        sb.append(" (");
                        List<?> listItems = (List<?>) criterion.getValue();
                        boolean comma = false;
                        for (int k = 0; k < listItems.size(); k++) {
                            if (comma) {
                                sb.append(", ");
                            } else {
                                comma = true;
                            }
                            if (criterion.getTypeHandler() == null) {
                                sb.append(String.format(parmPhrase3, i, j, k));
                            } else {
                                sb.append(String.format(parmPhrase3_th, i, j, k, criterion.getTypeHandler()));
                            }
                        }
                        sb.append(')');
                    }
                }
                sb.append(')');
            }
        }
        
        if (sb.length() > 0) {
            sql.WHERE(sb.toString());
        }
    }
}